Loading...
Searching...
No Matches
Gfx::CCamera Class Reference

Camera moving in 3D scene. More...

`#include <src/graphics/engine/camera.h>`

## Public Member Functions

bool | EventProcess (const Event &event)
| Management of an event.
void | Init (Math::Vector eye, Math::Vector lookat, float delay)
| Initializes the camera.
void | SetControllingObject (CObject *object)
| Sets the object controlling the camera.
CObject * | GetControllingObject ()
| Gets the object controlling the camera.
void | SetType (CameraType type)
| Change the type of camera.
CameraType | GetType ()
| Get the type of the camera.
void | SetSmooth (CameraSmooth type)
| Set smoothing mode.
CameraSmooth | GetSmooth ()
| Get smoothing mode.
void | GetCamera (Math::Vector &eye, Math::Vector &lookat)
| Returns the current point of view of the camera.
Visit camera management (CAM_TYPE_VISIT) - camera in this mode shows a position, constantly rotating around it
void | StartVisit (Math::Vector goal, float dist)
| Start visit camera.
void | StopVisit ()
| Stop visit camera.
Camera "centering" - moves the camera to show some happening action (e.g. sniffer sniffing)
bool | StartCentering (CObject *object, float angleH, float angleV, float dist, float time)
| Move camera to show happening action.
bool | StopCentering (CObject *object, float time)
| Go back to normal position after showing some happening action.
void | AbortCentering ()
| Abort centering animation in the current position.
Camera shake effects
void | StartEffect (CameraEffect effect, Math::Vector pos, float force)
| Starts a camera shake effect.
void | FlushEffect ()
| Removes the camera shake effect.
Camera overlay effects
void | StartOver (CameraOverEffect effect, Math::Vector pos, float force)
| Starts camera overlay effect.
void | FlushOver ()
| Removes camera overlay effect.
void | SetOverBaseColor (Color color)
| Specifies camera overlay effect base color.
Script camera - cutscenes controlled by external code
void | SetScriptCamera (Math::Vector eye, Math::Vector lookat)
| Script camera: Set camera position.
void | SetScriptCameraAnimate (Math::Vector eye, Math::Vector lookat)
| Script camera: Animate to given camera position.
void | SetScriptCameraAnimateEye (Math::Vector eye)
| Script camera: Animate to given eye position.
void | SetScriptCameraAnimateLookat (Math::Vector lookat)
| Script camera: Animate to given lookat position.

## Configuration settings

CEngine * | m_engine
| The type of camera.
CRobotMain * | m_main
| The type of camera.
CTerrain * | m_terrain
| The type of camera.
CWater * | m_water
| The type of camera.
CInput * | m_input
| The type of camera.
CameraType | m_type
| The type of camera.
CameraSmooth | m_smooth
| Type of smoothing.
CObject * | m_cameraObj
| Object linked to the camera.
float | m_initDelay
| Remaining time of initial camera entry animation.
Math::Vector | m_actualEye
| Current eye.
Math::Vector | m_actualLookat
| Current aim.
Math::Vector | m_finalEye
| Final eye.
Math::Vector | m_finalLookat
| Final lookat.
Math::Vector | m_prevEye
| Eye position at the moment of entering CAM_TYPE_INFO/CAM_TYPE_VISIT.
Math::Vector | m_prevLookat
| Lookat position at the moment of entering CAM_TYPE_INFO/CAM_TYPE_VISIT.
float | m_focus
| The type of camera.
Math::Vector | m_eyePt
| CAM_TYPE_FREE: eye.
float | m_directionH
| CAM_TYPE_FREE: horizontal direction.
float | m_directionV
| CAM_TYPE_FREE: vertical direction.
float | m_heightEye
| CAM_TYPE_FREE: height above the ground.
float | m_heightLookat
| CAM_TYPE_FREE: height above the ground.
float | m_speed
| CAM_TYPE_FREE: speed of movement.
float | m_backDist
| CAM_TYPE_BACK: distance.
float | m_backMin
| CAM_TYPE_BACK: minimal distance.
float | m_addDirectionH
| CAM_TYPE_BACK: additional horizontal direction.
float | m_addDirectionV
| CAM_TYPE_BACK: additional vertical direction.
float | m_fixDist
| CAM_TYPE_FIX: distance.
float | m_fixDirectionH
| CAM_TYPE_FIX: horizontal direction.
float | m_fixDirectionV
| CAM_TYPE_FIX: vertical direction.
Math::Vector | m_visitGoal
| CAM_TYPE_VISIT: target position.
float | m_visitDist
| CAM_TYPE_VISIT: distance.
float | m_visitTime
| CAM_TYPE_VISIT: relative time.
CameraType | m_visitType
| CAM_TYPE_VISIT: initial type.
float | m_visitDirectionV
| CAM_TYPE_VISIT: direction.
Math::Point | m_mousePos = Math::Point(0.5f, 0.5f)
| Last known mouse position, used to calculate change since last frame.
Math::Point | m_mouseDelta = Math::Point(0.0f, 0.0f)
| Change of mouse position since last frame.
Math::Point | m_mouseDeltaEdge = Math::Point(0.0f, 0.0f)
| Change of camera position caused by edge camera.
float | m_mouseWheelDelta = 0.0f
| Change of mouse wheel since last frame.
CenteringPhase | m_centeringPhase
| The type of camera.
float | m_centeringAngleH
| The type of camera.
float | m_centeringAngleV
| The type of camera.
float | m_centeringDist
| The type of camera.
float | m_centeringCurrentH
| The type of camera.
float | m_centeringCurrentV
| The type of camera.
float | m_centeringTime
| The type of camera.
float | m_centeringProgress
| The type of camera.
CameraEffect | m_effectType
| The type of camera.
Math::Vector | m_effectPos
| The type of camera.
float | m_effectForce
| The type of camera.
float | m_effectProgress
| The type of camera.
Math::Vector | m_effectOffset
| The type of camera.
CameraOverEffect | m_overType
| The type of camera.
float | m_overForce
| The type of camera.
float | m_overTime
| The type of camera.
Color | m_overColorBase
| The type of camera.
Color | m_overColor
| The type of camera.
int | m_overMode
| The type of camera.
float | m_overFadeIn
| The type of camera.
float | m_overFadeOut
| The type of camera.
Math::Vector | m_scriptEye
| The type of camera.
Math::Vector | m_scriptLookat
| The type of camera.
bool | m_freeze = false
| Is camera frozen?
bool | m_effect
| The type of camera.
bool | m_blood
| The type of camera.
bool | m_oldCameraScroll
| The type of camera.
bool | m_cameraInvertX
| The type of camera.
bool | m_cameraInvertY
| The type of camera.
void | SetEffect (bool enable)
| The type of camera.
bool | GetEffect ()
| The type of camera.
void | SetBlood (bool enable)
| The type of camera.
bool | GetBlood ()
| The type of camera.
void | SetOldCameraScroll (bool scroll)
| The type of camera.
bool | GetOldCameraScroll ()
| The type of camera.
void | SetCameraInvertX (bool invert)
| The type of camera.
bool | GetCameraInvertX ()
| The type of camera.
void | SetCameraInvertY (bool invert)
| The type of camera.
bool | GetCameraInvertY ()
| The type of camera.
void | SetFreeze (bool freeze)
| Temporarily freeze camera movement.
void | SetCameraSpeed (float speed)
| Set camera speed.
void | EffectFrame (const Event &event)
| Advances the effect of the camera.
void | OverFrame (const Event &event)
| Advanced overlay effect in the foreground.
bool | EventFrameFree (const Event &event, bool keysAllowed)
| The type of camera.
bool | EventFrameBack (const Event &event)
| The type of camera.
bool | EventFrameFix (const Event &event)
| The type of camera.
bool | EventFrameExplo (const Event &event)
| The type of camera.
bool | EventFrameOnBoard (const Event &event)
| The type of camera.
bool | EventFrameVisit (const Event &event)
| The type of camera.
bool | EventFrameScript (const Event &event)
| The type of camera.
void | UpdateCameraAnimation (const Math::Vector &eyePt, const Math::Vector &lookatPt, float rTime)
| Calculates camera animation and sends updated camera position to the 3D engine.
void | IsCollision (Math::Vector &eye, Math::Vector lookat)
| Avoid the obstacles.
void | IsCollisionBack ()
| Avoid the obstacles (CAM_TYPE_BACK).
void | IsCollisionFix (Math::Vector &eye, Math::Vector lookat)
| Avoid the obstacles (CAM_TYPE_FIX or CAM_TYPE_PLANE).
Math::Vector | ExcludeTerrain (Math::Vector eye, Math::Vector lookat, float &angleH, float &angleV)
| Adjusts the camera not to enter the ground.
Math::Vector | ExcludeObject (Math::Vector eye, Math::Vector lookat, float &angleH, float &angleV)
| Adjusts the camera not to enter an object.
void | SetViewParams (const Math::Vector &eye, const Math::Vector &lookat, const Math::Vector &up=Math::Vector(0.0f, 1.0f, 0.0f))
| Updates the location and direction of the camera in the 3D engine.
Math::Vector | CalculateCameraMovement (const Event &event, bool keysAllowed=true)
| Calculate camera movement (from user inputs) to apply.

## Detailed Description

Camera moving in 3D scene.

This class manages everything related to animating the camera in 3D scene. Calculated values are then passed to Gfx::CEngine.

## Member Function Documentation

## EventProcess()

bool Gfx::CCamera::EventProcess | ( | const Event & | event | ) |

Management of an event.

## Init()

void Gfx::CCamera::Init | ( | Math::Vector | eye,
|  | Math::Vector | lookat,
|  | float | delay )

Initializes the camera.

Parameters

  eye | Initial eye position
  lookat | Initial lookat position
  delay | Time of the initial entry animation

## SetControllingObject()

void Gfx::CCamera::SetControllingObject | ( | CObject * | object | ) |

Sets the object controlling the camera.

## GetControllingObject()

CObject * Gfx::CCamera::GetControllingObject | ( |  | ) |

Gets the object controlling the camera.

## SetType()

void Gfx::CCamera::SetType | ( | CameraType | type | ) |

Change the type of camera.

## GetType()

CameraType Gfx::CCamera::GetType | ( |  | ) |

Get the type of the camera.

## SetSmooth()

void Gfx::CCamera::SetSmooth | ( | CameraSmooth | type | ) |

Set smoothing mode.

## GetSmooth()

CameraSmooth Gfx::CCamera::GetSmooth | ( |  | ) |

Get smoothing mode.

## GetCamera()

void Gfx::CCamera::GetCamera | ( | Math::Vector & | eye,
|  | Math::Vector & | lookat )

Returns the current point of view of the camera.

## StartVisit()

void Gfx::CCamera::StartVisit | ( | Math::Vector | goal,
|  | float | dist )

Start visit camera.

## StopVisit()

void Gfx::CCamera::StopVisit | ( |  | ) |

Stop visit camera.

## StartCentering()

bool Gfx::CCamera::StartCentering | ( | CObject * | object,
|  | float | angleH,
|  | float | angleV,
|  | float | dist,
|  | float | time )

Move camera to show happening action.

## StopCentering()

bool Gfx::CCamera::StopCentering | ( | CObject * | object,
|  | float | time )

Go back to normal position after showing some happening action.

## AbortCentering()

void Gfx::CCamera::AbortCentering | ( |  | ) |

Abort centering animation in the current position.

## StartEffect()

void Gfx::CCamera::StartEffect | ( | CameraEffect | effect,
|  | Math::Vector | pos,
|  | float | force )

Starts a camera shake effect.

## FlushEffect()

void Gfx::CCamera::FlushEffect | ( |  | ) |

Removes the camera shake effect.

## StartOver()

void Gfx::CCamera::StartOver | ( | CameraOverEffect | effect,
|  | Math::Vector | pos,
|  | float | force )

Starts camera overlay effect.

## FlushOver()

void Gfx::CCamera::FlushOver | ( |  | ) |

Removes camera overlay effect.

## SetOverBaseColor()

void Gfx::CCamera::SetOverBaseColor | ( | Color | color | ) |

Specifies camera overlay effect base color.

## SetScriptCamera()

void Gfx::CCamera::SetScriptCamera | ( | Math::Vector | eye,
|  | Math::Vector | lookat )

Script camera: Set camera position.

## SetScriptCameraAnimate()

void Gfx::CCamera::SetScriptCameraAnimate | ( | Math::Vector | eye,
|  | Math::Vector | lookat )

Script camera: Animate to given camera position.

## SetScriptCameraAnimateEye()

void Gfx::CCamera::SetScriptCameraAnimateEye | ( | Math::Vector | eye | ) |

Script camera: Animate to given eye position.

## SetScriptCameraAnimateLookat()

void Gfx::CCamera::SetScriptCameraAnimateLookat | ( | Math::Vector | lookat | ) |

Script camera: Animate to given lookat position.

## SetEffect()

void Gfx::CCamera::SetEffect | ( | bool | enable | ) |

The type of camera.

## GetEffect()

bool Gfx::CCamera::GetEffect | ( |  | ) |

The type of camera.

## SetBlood()

void Gfx::CCamera::SetBlood | ( | bool | enable | ) |

The type of camera.

## GetBlood()

bool Gfx::CCamera::GetBlood | ( |  | ) |

The type of camera.

## SetOldCameraScroll()

void Gfx::CCamera::SetOldCameraScroll | ( | bool | scroll | ) |

The type of camera.

## GetOldCameraScroll()

bool Gfx::CCamera::GetOldCameraScroll | ( |  | ) |

The type of camera.

## SetCameraInvertX()

void Gfx::CCamera::SetCameraInvertX | ( | bool | invert | ) |

The type of camera.

## GetCameraInvertX()

bool Gfx::CCamera::GetCameraInvertX | ( |  | ) |

The type of camera.

## SetCameraInvertY()

void Gfx::CCamera::SetCameraInvertY | ( | bool | invert | ) |

The type of camera.

## GetCameraInvertY()

bool Gfx::CCamera::GetCameraInvertY | ( |  | ) |

The type of camera.

## SetFreeze()

void Gfx::CCamera::SetFreeze | ( | bool | freeze | ) |

Temporarily freeze camera movement.

## SetCameraSpeed()

void Gfx::CCamera::SetCameraSpeed | ( | float | speed | ) |

Set camera speed.

## EffectFrame()

void Gfx::CCamera::EffectFrame | ( | const Event & | event | ) |

protected

Advances the effect of the camera.

## OverFrame()

void Gfx::CCamera::OverFrame | ( | const Event & | event | ) |

protected

Advanced overlay effect in the foreground.

## EventFrameFree()

bool Gfx::CCamera::EventFrameFree | ( | const Event & | event,
|  | bool | keysAllowed )

protected

The type of camera.

## EventFrameBack()

bool Gfx::CCamera::EventFrameBack | ( | const Event & | event | ) |

protected

The type of camera.

## EventFrameFix()

bool Gfx::CCamera::EventFrameFix | ( | const Event & | event | ) |

protected

The type of camera.

## EventFrameExplo()

bool Gfx::CCamera::EventFrameExplo | ( | const Event & | event | ) |

protected

The type of camera.

## EventFrameOnBoard()

bool Gfx::CCamera::EventFrameOnBoard | ( | const Event & | event | ) |

protected

The type of camera.

## EventFrameVisit()

bool Gfx::CCamera::EventFrameVisit | ( | const Event & | event | ) |

protected

The type of camera.

## EventFrameScript()

bool Gfx::CCamera::EventFrameScript | ( | const Event & | event | ) |

protected

The type of camera.

## UpdateCameraAnimation()

void Gfx::CCamera::UpdateCameraAnimation | ( | const Math::Vector & | eyePt,
|  | const Math::Vector & | lookatPt,
|  | float | rTime )

protected

Calculates camera animation and sends updated camera position to the 3D engine.

Parameters

  eyePt | Eye point
  lookatPt | Lookat point
  rTime | Time since last time this function was called (used to calculate animation)

See also
  SetViewParams

## IsCollision()

void Gfx::CCamera::IsCollision | ( | Math::Vector & | eye,
|  | Math::Vector | lookat )

protected

Avoid the obstacles.

For CAM_TYPE_BACK: make obstacles transparent For CAM_TYPE_FIX or CAM_TYPE_PLANE: adjust eye not to hit the obstacles

Parameters

  eye | Eye position, may be adjusted
  lookat | Lookat point

## IsCollisionBack()

void Gfx::CCamera::IsCollisionBack | ( |  | ) |

protected

Avoid the obstacles (CAM_TYPE_BACK).

## IsCollisionFix()

void Gfx::CCamera::IsCollisionFix | ( | Math::Vector & | eye,
|  | Math::Vector | lookat )

protected

Avoid the obstacles (CAM_TYPE_FIX or CAM_TYPE_PLANE).

## ExcludeTerrain()

Math::Vector Gfx::CCamera::ExcludeTerrain | ( | Math::Vector | eye,
|  | Math::Vector | lookat,
|  | float & | angleH,
|  | float & | angleV )

protected

Adjusts the camera not to enter the ground.

## ExcludeObject()

Math::Vector Gfx::CCamera::ExcludeObject | ( | Math::Vector | eye,
|  | Math::Vector | lookat,
|  | float & | angleH,
|  | float & | angleV )

protected

Adjusts the camera not to enter an object.

## SetViewParams()

void Gfx::CCamera::SetViewParams | ( | const Math::Vector & | eye,
|  | const Math::Vector & | lookat,
|  | const Math::Vector & | up = Math::Vector(0.0f, 1.0f, 0.0f) )

protected

Updates the location and direction of the camera in the 3D engine.

Parameters

  eye | Eye point
  lookat | Lookat point
  up | Up vector

See also
  CEngine::SetViewParams

## CalculateCameraMovement()

Math::Vector Gfx::CCamera::CalculateCameraMovement | ( | const Event & | event,
|  | bool | keysAllowed = true )

protected

Calculate camera movement (from user inputs) to apply.

Returns
  Math::Vector where x, y represent respectively horizontal and vertical angle change in radians and z represents zoom (distance change)

Remarks
  Should not be called more often than once every EVENT_FRAME

## Member Data Documentation

## m_engine

CEngine* Gfx::CCamera::m_engine

protected

The type of camera.

## m_main

CRobotMain* Gfx::CCamera::m_main

protected

The type of camera.

## m_terrain

CTerrain* Gfx::CCamera::m_terrain

protected

The type of camera.

## m_water

CWater* Gfx::CCamera::m_water

protected

The type of camera.

## m_input

CInput* Gfx::CCamera::m_input

protected

The type of camera.

## m_type

CameraType Gfx::CCamera::m_type

protected

The type of camera.

## m_smooth

CameraSmooth Gfx::CCamera::m_smooth

protected

Type of smoothing.

## m_cameraObj

CObject* Gfx::CCamera::m_cameraObj

protected

Object linked to the camera.

## m_initDelay

float Gfx::CCamera::m_initDelay

protected

Remaining time of initial camera entry animation.

## m_actualEye

Math::Vector Gfx::CCamera::m_actualEye

protected

Current eye.

## m_actualLookat

Math::Vector Gfx::CCamera::m_actualLookat

protected

Current aim.

## m_finalEye

Math::Vector Gfx::CCamera::m_finalEye

protected

Final eye.

## m_finalLookat

Math::Vector Gfx::CCamera::m_finalLookat

protected

Final lookat.

## m_prevEye

Math::Vector Gfx::CCamera::m_prevEye

protected

Eye position at the moment of entering CAM_TYPE_INFO/CAM_TYPE_VISIT.

## m_prevLookat

Math::Vector Gfx::CCamera::m_prevLookat

protected

Lookat position at the moment of entering CAM_TYPE_INFO/CAM_TYPE_VISIT.

## m_focus

float Gfx::CCamera::m_focus

protected

The type of camera.

## m_eyePt

Math::Vector Gfx::CCamera::m_eyePt

protected

CAM_TYPE_FREE: eye.

## m_directionH

float Gfx::CCamera::m_directionH

protected

CAM_TYPE_FREE: horizontal direction.

## m_directionV

float Gfx::CCamera::m_directionV

protected

CAM_TYPE_FREE: vertical direction.

## m_heightEye

float Gfx::CCamera::m_heightEye

protected

CAM_TYPE_FREE: height above the ground.

## m_heightLookat

float Gfx::CCamera::m_heightLookat

protected

CAM_TYPE_FREE: height above the ground.

## m_speed

float Gfx::CCamera::m_speed

protected

CAM_TYPE_FREE: speed of movement.

## m_backDist

float Gfx::CCamera::m_backDist

protected

CAM_TYPE_BACK: distance.

## m_backMin

float Gfx::CCamera::m_backMin

protected

CAM_TYPE_BACK: minimal distance.

## m_addDirectionH

float Gfx::CCamera::m_addDirectionH

protected

CAM_TYPE_BACK: additional horizontal direction.

## m_addDirectionV

float Gfx::CCamera::m_addDirectionV

protected

CAM_TYPE_BACK: additional vertical direction.

## m_fixDist

float Gfx::CCamera::m_fixDist

protected

CAM_TYPE_FIX: distance.

## m_fixDirectionH

float Gfx::CCamera::m_fixDirectionH

protected

CAM_TYPE_FIX: horizontal direction.

## m_fixDirectionV

float Gfx::CCamera::m_fixDirectionV

protected

CAM_TYPE_FIX: vertical direction.

## m_visitGoal

Math::Vector Gfx::CCamera::m_visitGoal

protected

CAM_TYPE_VISIT: target position.

## m_visitDist

float Gfx::CCamera::m_visitDist

protected

CAM_TYPE_VISIT: distance.

## m_visitTime

float Gfx::CCamera::m_visitTime

protected

CAM_TYPE_VISIT: relative time.

## m_visitType

CameraType Gfx::CCamera::m_visitType

protected

CAM_TYPE_VISIT: initial type.

## m_visitDirectionV

float Gfx::CCamera::m_visitDirectionV

protected

CAM_TYPE_VISIT: direction.

## m_mousePos

Math::Point Gfx::CCamera::m_mousePos = Math::Point(0.5f, 0.5f)

protected

Last known mouse position, used to calculate change since last frame.

## m_mouseDelta

Math::Point Gfx::CCamera::m_mouseDelta = Math::Point(0.0f, 0.0f)

protected

Change of mouse position since last frame.

## m_mouseDeltaEdge

Math::Point Gfx::CCamera::m_mouseDeltaEdge = Math::Point(0.0f, 0.0f)

protected

Change of camera position caused by edge camera.

## m_mouseWheelDelta

float Gfx::CCamera::m_mouseWheelDelta = 0.0f

protected

Change of mouse wheel since last frame.

## m_centeringPhase

CenteringPhase Gfx::CCamera::m_centeringPhase

protected

The type of camera.

## m_centeringAngleH

float Gfx::CCamera::m_centeringAngleH

protected

The type of camera.

## m_centeringAngleV

float Gfx::CCamera::m_centeringAngleV

protected

The type of camera.

## m_centeringDist

float Gfx::CCamera::m_centeringDist

protected

The type of camera.

## m_centeringCurrentH

float Gfx::CCamera::m_centeringCurrentH

protected

The type of camera.

## m_centeringCurrentV

float Gfx::CCamera::m_centeringCurrentV

protected

The type of camera.

## m_centeringTime

float Gfx::CCamera::m_centeringTime

protected

The type of camera.

## m_centeringProgress

float Gfx::CCamera::m_centeringProgress

protected

The type of camera.

## m_effectType

CameraEffect Gfx::CCamera::m_effectType

protected

The type of camera.

## m_effectPos

Math::Vector Gfx::CCamera::m_effectPos

protected

The type of camera.

## m_effectForce

float Gfx::CCamera::m_effectForce

protected

The type of camera.

## m_effectProgress

float Gfx::CCamera::m_effectProgress

protected

The type of camera.

## m_effectOffset

Math::Vector Gfx::CCamera::m_effectOffset

protected

The type of camera.

## m_overType

CameraOverEffect Gfx::CCamera::m_overType

protected

The type of camera.

## m_overForce

float Gfx::CCamera::m_overForce

protected

The type of camera.

## m_overTime

float Gfx::CCamera::m_overTime

protected

The type of camera.

## m_overColorBase

Color Gfx::CCamera::m_overColorBase

protected

The type of camera.

## m_overColor

Color Gfx::CCamera::m_overColor

protected

The type of camera.

## m_overMode

int Gfx::CCamera::m_overMode

protected

The type of camera.

## m_overFadeIn

float Gfx::CCamera::m_overFadeIn

protected

The type of camera.

## m_overFadeOut

float Gfx::CCamera::m_overFadeOut

protected

The type of camera.

## m_scriptEye

Math::Vector Gfx::CCamera::m_scriptEye

protected

The type of camera.

## m_scriptLookat

Math::Vector Gfx::CCamera::m_scriptLookat

protected

The type of camera.

## m_freeze

bool Gfx::CCamera::m_freeze = false

protected

Is camera frozen?

## m_effect

bool Gfx::CCamera::m_effect

protected

The type of camera.

## m_blood

bool Gfx::CCamera::m_blood

protected

The type of camera.

## m_oldCameraScroll

bool Gfx::CCamera::m_oldCameraScroll

protected

The type of camera.

## m_cameraInvertX

bool Gfx::CCamera::m_cameraInvertX

protected

The type of camera.

## m_cameraInvertY

bool Gfx::CCamera::m_cameraInvertY

protected

The type of camera.

The documentation for this class was generated from the following files:

- src/graphics/engine/camera.h
- src/graphics/engine/camera.cpp